Package com.zoho.analytics.jdbc

## Class ZohoAnalyticsConnection

- java.lang.Object
- - com.zoho.analytics.jdbc.ZohoAnalyticsWrapper
  - - com.zoho.analytics.jdbc.ZohoAnalyticsConnection

- All Implemented Interfaces:
    `java.lang.AutoCloseable`, `java.sql.Connection`, `java.sql.Wrapper`

      public class ZohoAnalyticsConnection
      extends ZohoAnalyticsWrapper
      implements java.sql.Connection

- - ### Field Summary

    - ### Fields inherited from interface java.sql.Connection

      `TRANSACTION_NONE, TRANSACTION_READ_COMMITTED, TRANSACTION_READ_UNCOMMITTED, TRANSACTION_REPEATABLE_READ, TRANSACTION_SERIALIZABLE`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `abort​(java.util.concurrent.Executor executor)` |
    `void` | `clearWarnings()` | `See clearWarnings`
    `void` | `close()` | `See close`
    `void` | `commit()` | Not implemented.
    `java.sql.Array` | `createArrayOf​(java.lang.String typeName, java.lang.Object[] elements)` | Not implemented
    `java.sql.Blob` | `createBlob()` | Not implemented
    `java.sql.Clob` | `createClob()` | Not implemented.
    `java.sql.NClob` | `createNClob()` | Not implemented
    `java.sql.SQLXML` | `createSQLXML()` | Not implemented
    `java.sql.Statement` | `createStatement()` | `See createStatement`
    `java.sql.Statement` | `createStatement​(int resultSetType, int resultSetConcurrency)` | Not implemented.
    `java.sql.Statement` | `createStatement​(int resultSetType, int resultSetConcurrency, int resultSetHoldability)` | `See createStatement`
    `java.sql.Struct` | `createStruct​(java.lang.String typeName, java.lang.Object[] attributes)` | Not implemented
    `boolean` | `getAutoCommit()` | `See getAutoCommit`
    `java.lang.String` | `getCatalog()` | `See getCatalog`
    `java.util.Properties` | `getClientInfo()` | Not implemented
    `java.lang.String` | `getClientInfo​(java.lang.String name)` | Not implemented
    `int` | `getHoldability()` | `See getHoldability`
    `java.sql.DatabaseMetaData` | `getMetaData()` | Retrieves a ZohoAnalyticsDatabaseMetadata object that contains metadata about the database to which this Connection object represents a connection.
    `int` | `getNetworkTimeout()` |
    `java.lang.String` | `getSchema()` |
    `int` | `getTransactionIsolation()` | `See getTransactionIsolation`
    `java.util.Map` | `getTypeMap()` | `See getTypeMap`
    `java.sql.SQLWarning` | `getWarnings()` | `See getWarnings`
    `boolean` | `isClosed()` | `See isClosed`
    `boolean` | `isReadOnly()` | `See isReadOnly`
    `boolean` | `isValid​(int timeout)` | Not implemented
    `java.lang.String` | `nativeSQL​(java.lang.String sql)` | Not implemented.
    `java.sql.CallableStatement` | `prepareCall​(java.lang.String sql)` | Not implemented.
    `java.sql.CallableStatement` | `prepareCall​(java.lang.String sql, int resultSetType, int resultSetConcurrency)` | Not implemented.
    `java.sql.CallableStatement` | `prepareCall​(java.lang.String sql, int resultSetType, int resultSetConcurrency, int resultSetHoldability)` | Not implemented.
    `java.sql.PreparedStatement` | `prepareStatement​(java.lang.String sql)` | Not implemented.
    `java.sql.PreparedStatement` | `prepareStatement​(java.lang.String sql, int autoGeneratedKeys)` | Not implemented.
    `java.sql.PreparedStatement` | `prepareStatement​(java.lang.String sql, int[] columnIndexes)` | Not implemented.
    `java.sql.PreparedStatement` | `prepareStatement​(java.lang.String sql, int resultSetType, int resultSetConcurrency)` | Not implemented.
    `java.sql.PreparedStatement` | `prepareStatement​(java.lang.String sql, int resultSetType, int resultSetConcurrency, int resultSetHoldability)` | `See prepareStatement`
    `java.sql.PreparedStatement` | `prepareStatement​(java.lang.String sql, java.lang.String[] columnNames)` | Not implemented.
    `void` | `releaseSavepoint​(java.sql.Savepoint savepoint)` | Not implemented.
    `void` | `rollback()` | Not implemented.
    `void` | `rollback​(java.sql.Savepoint savepoint)` | Not implemented.
    `void` | `setAutoCommit​(boolean commit)` | `See setAutoCommit`
    `void` | `setCatalog​(java.lang.String catalog)` | `See setCatalog`
    `void` | `setClientInfo​(java.lang.String name, java.lang.String value)` | Not implemented
    `void` | `setClientInfo​(java.util.Properties properties)` | Not implemented
    `void` | `setHoldability​(int holdability)` | `See setHoldability`
    `void` | `setNetworkTimeout​(java.util.concurrent.Executor executor, int milliseconds)` |
    `void` | `setReadOnly​(boolean read)` | `See setReadOnly`
    `java.sql.Savepoint` | `setSavepoint()` | Not implemented.
    `java.sql.Savepoint` | `setSavepoint​(java.lang.String savepoint)` | Not implemented.
    `void` | `setSchema​(java.lang.String schema)` |
    `void` | `setTransactionIsolation​(int level)` | Not implemented.
    `void` | `setTypeMap​(java.util.Map map)` | Not implemented.

    - ### Methods inherited from class com.zoho.analytics.jdbc.ZohoAnalyticsWrapper

      `isWrapperFor, unwrap`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.sql.Connection

      `beginRequest, endRequest, setShardingKey, setShardingKey, setShardingKeyIfValid, setShardingKeyIfValid`

    - ### Methods inherited from interface java.sql.Wrapper

      `isWrapperFor, unwrap`

- - ### Method Detail

    - #### clearWarnings

          public void clearWarnings()
                             throws java.sql.SQLException

      `See clearWarnings`
      Specified by:
        `clearWarnings` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### close

          public void close()
                     throws java.sql.SQLException

      `See close`
      Specified by:
        `close` in interface `java.lang.AutoCloseable`
      Specified by:
        `close` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### commit

          public void commit()
                      throws java.sql.SQLException

      Not implemented.

      `See commit`

      Specified by:
        `commit` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### createStatement

          public java.sql.Statement createStatement()
                                             throws java.sql.SQLException

      `See createStatement`
      Specified by:
        `createStatement` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### createStatement

          public java.sql.Statement createStatement​(int resultSetType,
                                                    int resultSetConcurrency)
                                             throws java.sql.SQLException

      Not implemented.

      `See createStatement`

      Specified by:
        `createStatement` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### createStatement

          public java.sql.Statement createStatement​(int resultSetType,
                                                    int resultSetConcurrency,
                                                    int resultSetHoldability)
                                             throws java.sql.SQLException

      `See createStatement`
      Specified by:
        `createStatement` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### getAutoCommit

          public boolean getAutoCommit()
                                throws java.sql.SQLException

      `See getAutoCommit`
      Specified by:
        `getAutoCommit` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### getCatalog

          public java.lang.String getCatalog()
                                      throws java.sql.SQLException

      `See getCatalog`
      Specified by:
        `getCatalog` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### getHoldability

          public int getHoldability()
                             throws java.sql.SQLException

      `See getHoldability`
      Specified by:
        `getHoldability` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### getMetaData

          public java.sql.DatabaseMetaData getMetaData()
                                                throws java.sql.SQLException

      Retrieves a ZohoAnalyticsDatabaseMetadata object that contains metadata about the database to which this Connection object represents a connection. The metadata includes information about the database's tables, its supported SQL grammar, the capabilities of this connection, and so on.

      `See getMetaData`

      Specified by:
        `getMetaData` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### getTransactionIsolation

          public int getTransactionIsolation()
                                      throws java.sql.SQLException

      `See getTransactionIsolation`
      Specified by:
        `getTransactionIsolation` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### getTypeMap

          public java.util.Map getTypeMap()
                                   throws java.sql.SQLException

      `See getTypeMap`
      Specified by:
        `getTypeMap` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### getWarnings

          public java.sql.SQLWarning getWarnings()
                                          throws java.sql.SQLException

      `See getWarnings`
      Specified by:
        `getWarnings` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### isClosed

          public boolean isClosed()
                           throws java.sql.SQLException

      `See isClosed`
      Specified by:
        `isClosed` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### isReadOnly

          public boolean isReadOnly()
                             throws java.sql.SQLException

      `See isReadOnly`
      Specified by:
        `isReadOnly` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### nativeSQL

          public java.lang.String nativeSQL​(java.lang.String sql)
                                     throws java.sql.SQLException

      Not implemented.

      `See nativeSQL`

      Specified by:
        `nativeSQL` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### prepareCall

          public java.sql.CallableStatement prepareCall​(java.lang.String sql)
                                                 throws java.sql.SQLException

      Not implemented.

      `See prepareCall`

      Specified by:
        `prepareCall` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### prepareCall

          public java.sql.CallableStatement prepareCall​(java.lang.String sql,
                                                        int resultSetType,
                                                        int resultSetConcurrency)
                                                 throws java.sql.SQLException

      Not implemented.

      `See prepareCall`

      Specified by:
        `prepareCall` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### prepareCall

          public java.sql.CallableStatement prepareCall​(java.lang.String sql,
                                                        int resultSetType,
                                                        int resultSetConcurrency,
                                                        int resultSetHoldability)
                                                 throws java.sql.SQLException

      Not implemented.

      `See prepareCall`

      Specified by:
        `prepareCall` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### prepareStatement

          public java.sql.PreparedStatement prepareStatement​(java.lang.String sql)
                                                      throws java.sql.SQLException

      Not implemented.

      `See prepareStatement`

      Specified by:
        `prepareStatement` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### prepareStatement

          public java.sql.PreparedStatement prepareStatement​(java.lang.String sql,
                                                             java.lang.String[] columnNames)
                                                      throws java.sql.SQLException

      Not implemented.

      `See prepareStatement`

      Specified by:
        `prepareStatement` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### prepareStatement

          public java.sql.PreparedStatement prepareStatement​(java.lang.String sql,
                                                             int autoGeneratedKeys)
                                                      throws java.sql.SQLException

      Not implemented.

      `See prepareStatement`

      Specified by:
        `prepareStatement` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### prepareStatement

          public java.sql.PreparedStatement prepareStatement​(java.lang.String sql,
                                                             int[] columnIndexes)
                                                      throws java.sql.SQLException

      Not implemented.

      `See prepareStatement`

      Specified by:
        `prepareStatement` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### prepareStatement

          public java.sql.PreparedStatement prepareStatement​(java.lang.String sql,
                                                             int resultSetType,
                                                             int resultSetConcurrency)
                                                      throws java.sql.SQLException

      Not implemented.

      `See prepareStatement`

      Specified by:
        `prepareStatement` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### prepareStatement

          public java.sql.PreparedStatement prepareStatement​(java.lang.String sql,
                                                             int resultSetType,
                                                             int resultSetConcurrency,
                                                             int resultSetHoldability)
                                                      throws java.sql.SQLException

      `See prepareStatement`
      Specified by:
        `prepareStatement` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### releaseSavepoint

          public void releaseSavepoint​(java.sql.Savepoint savepoint)
                                throws java.sql.SQLException

      Not implemented.

      `See releaseSavepoint`

      Specified by:
        `releaseSavepoint` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### rollback

          public void rollback()
                        throws java.sql.SQLException

      Not implemented.

      `See rollback`

      Specified by:
        `rollback` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### rollback

          public void rollback​(java.sql.Savepoint savepoint)
                        throws java.sql.SQLException

      Not implemented.

      `See rollback`

      Specified by:
        `rollback` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### setAutoCommit

          public void setAutoCommit​(boolean commit)
                             throws java.sql.SQLException

      `See setAutoCommit`
      Specified by:
        `setAutoCommit` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### setCatalog

          public void setCatalog​(java.lang.String catalog)
                          throws java.sql.SQLException

      `See setCatalog`
      Specified by:
        `setCatalog` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### setHoldability

          public void setHoldability​(int holdability)
                              throws java.sql.SQLException

      `See setHoldability`
      Specified by:
        `setHoldability` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### setReadOnly

          public void setReadOnly​(boolean read)
                           throws java.sql.SQLException

      `See setReadOnly`
      Specified by:
        `setReadOnly` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### setSavepoint

          public java.sql.Savepoint setSavepoint()
                                          throws java.sql.SQLException

      Not implemented.

      `See setSavepoint`

      Specified by:
        `setSavepoint` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### setSavepoint

          public java.sql.Savepoint setSavepoint​(java.lang.String savepoint)
                                          throws java.sql.SQLException

      Not implemented.

      `See setSavepoint`

      Specified by:
        `setSavepoint` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### setTransactionIsolation

          public void setTransactionIsolation​(int level)
                                       throws java.sql.SQLException

      Not implemented.

      `See setTransactionIsolation`

      Specified by:
        `setTransactionIsolation` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### setTypeMap

          public void setTypeMap​(java.util.Map map)
                          throws java.sql.SQLException

      Not implemented.

      `See setTypeMap`

      Specified by:
        `setTypeMap` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### createClob

          public java.sql.Clob createClob()
                                   throws java.sql.SQLException

      Not implemented.

      `See createClob`

      Specified by:
        `createClob` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### createBlob

          public java.sql.Blob createBlob()
                                   throws java.sql.SQLException

      Not implemented

      `SeecreateBlob`

      Specified by:
        `createBlob` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### createNClob

          public java.sql.NClob createNClob()
                                     throws java.sql.SQLException

      Not implemented

      `SeecreateNClob`

      Specified by:
        `createNClob` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### createSQLXML

          public java.sql.SQLXML createSQLXML()
                                       throws java.sql.SQLException

      Not implemented

      `SeecreateSQLXML`

      Specified by:
        `createSQLXML` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### createStruct

          public java.sql.Struct createStruct​(java.lang.String typeName,
                                              java.lang.Object[] attributes)
                                       throws java.sql.SQLException

      Not implemented

      `SeecreateStruct`

      Specified by:
        `createStruct` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### createArrayOf

          public java.sql.Array createArrayOf​(java.lang.String typeName,
                                              java.lang.Object[] elements)
                                       throws java.sql.SQLException

      Not implemented

      `SeecreateArrayOf`

      Specified by:
        `createArrayOf` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### getClientInfo

          public java.util.Properties getClientInfo()
                                             throws java.sql.SQLException

      Not implemented

      `SeegetClientInfo`

      Specified by:
        `getClientInfo` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### getClientInfo

          public java.lang.String getClientInfo​(java.lang.String name)
                                         throws java.sql.SQLException

      Not implemented

      `SeegetClientInfo`

      Specified by:
        `getClientInfo` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### setClientInfo

          public void setClientInfo​(java.util.Properties properties)
                             throws java.sql.SQLClientInfoException

      Not implemented

      `SeesetClientInfo`

      Specified by:
        `setClientInfo` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLClientInfoException`

    - #### setClientInfo

          public void setClientInfo​(java.lang.String name,
                                    java.lang.String value)
                             throws java.sql.SQLClientInfoException

      Not implemented

      `SeegetClientInfo`

      Specified by:
        `setClientInfo` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLClientInfoException`

    - #### isValid

          public boolean isValid​(int timeout)
                          throws java.sql.SQLException

      Not implemented

      `SeeisValid`

      Specified by:
        `isValid` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### setSchema

          public void setSchema​(java.lang.String schema)
                         throws java.sql.SQLException

      Specified by:
        `setSchema` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### getSchema

          public java.lang.String getSchema()
                                     throws java.sql.SQLException

      Specified by:
        `getSchema` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### abort

          public void abort​(java.util.concurrent.Executor executor)
                     throws java.sql.SQLException

      Specified by:
        `abort` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### setNetworkTimeout

          public void setNetworkTimeout​(java.util.concurrent.Executor executor,
                                        int milliseconds)
                                 throws java.sql.SQLException

      Specified by:
        `setNetworkTimeout` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`

    - #### getNetworkTimeout

          public int getNetworkTimeout()
                                throws java.sql.SQLException

      Specified by:
        `getNetworkTimeout` in interface `java.sql.Connection`
      Throws:
        `java.sql.SQLException`